<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('subjawaban', function (Blueprint $table) {
            $table->id();
            $table->integer('kategori')->nullable();
            $table->string('judul', 250)->nullable();
            $table->text('subjawaban')->nullable();
            $table->text('kesimpulan')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('subjawaban');
    }
};
